app/news/__init__.py
from flask import Blueprint

news = Blueprint('news', __name__)

from . import views

app/news/views.py
# -*- coding: utf-8 -*-
from flask import Blueprint, abort, flash, g, jsonify, redirect, \
	render_template, request, url_for, jsonify, json, Markup

from flask_login import login_required

from sqlalchemy.orm import subqueryload
from sqlalchemy import desc, update, insert

from . import news

#from .forms import BuyNow, TrialsForm, MagDevice, ContactForm

from .. import db
#from ..models import User, User, Package, Contact, Livestream, Trial, Tuto, Subscription, Offer

import requests
from newsapi import NewsApiClient


@news.route('/', methods=['GET', 'POST'])
def index():

	newsapi = NewsApiClient(api_key="6cac6e220a9a48339fa548924a324889")
	topheadlines = newsapi.get_top_headlines(category='technology',language='en',country='us')

	articles = topheadlines['articles']
 
	desc = []
	news = []
	img = []

	for i in range(len(articles)):
		myarticles = articles[i]
		news.append(myarticles['title'])
		desc.append(myarticles['description'])
		img.append(myarticles['urlToImage'])
 
	mylist = zip(news, desc, img)

	return render_template('/news/index.html', context = mylist, title='Technology News', description='Latest technology news')


@news.route('/uk', methods=['GET', 'POST'])
def uk():

	newsapi = NewsApiClient(api_key="6cac6e220a9a48339fa548924a324889")
	topheadlines = newsapi.get_top_headlines(category='technology',language='en',country='gb')

	articles = topheadlines['articles']
 
	desc = []
	news = []
	img = []

	for i in range(len(articles)):
		myarticles = articles[i]
 
 
		news.append(myarticles['title'])
		desc.append(myarticles['description'])
		img.append(myarticles['urlToImage'])
 
	mylist = zip(news, desc, img)

	return render_template('/news/uk.html', context = mylist, title='United Kingdom News', description='Latest technology news')

@news.route('/france', methods=['GET', 'POST'])
def france():

	newsapi = NewsApiClient(api_key="6cac6e220a9a48339fa548924a324889")
	topheadlines = newsapi.get_top_headlines(category='technology',language='en',country='fr')

	articles = topheadlines['articles']
 
	desc = []
	news = []
	img = []

	for i in range(len(articles)):
		myarticles = articles[i]
 
 
		news.append(myarticles['title'])
		desc.append(myarticles['description'])
		img.append(myarticles['urlToImage'])
 
	mylist = zip(news, desc, img)

	return render_template('/news/fr.html', context = mylist, title='France news', description='Latest technology news')

@news.route('/germany', methods=['GET', 'POST'])
def germany():

	newsapi = NewsApiClient(api_key="6cac6e220a9a48339fa548924a324889")
	topheadlines = newsapi.get_top_headlines(category='technology',language='en',country='de')

	articles = topheadlines['articles']
 
	desc = []
	news = []
	img = []

	for i in range(len(articles)):
		myarticles = articles[i]
 
		news.append(myarticles['title'])
		desc.append(myarticles['description'])
		img.append(myarticles['urlToImage'])
 
	mylist = zip(news, desc, img)

	return render_template('/news/de.html', context = mylist, title='Germany news', description='Latest technology news')

@news.route('/turkey', methods=['GET', 'POST'])
def turkey():

	newsapi = NewsApiClient(api_key="6cac6e220a9a48339fa548924a324889")
	topheadlines = newsapi.get_top_headlines(category='technology',language='en',country='tr')

	articles = topheadlines['articles']
 
	desc = []
	news = []
	img = []

	for i in range(len(articles)):
		myarticles = articles[i]
 
		news.append(myarticles['title'])
		desc.append(myarticles['description'])
		img.append(myarticles['urlToImage'])
 
	mylist = zip(news, desc, img)

	return render_template('/news/tr.html', context = mylist, title='Turkey news', description='Latest technology news')

app/templates/news/de.html
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}

  <!-- Page Content -->
  <div class="container">

    <div class="row">

      <!-- Blog Entries Column -->
      <div class="col-md-8">

        <h1 class="my-4">URHDIPTV Germany News
          <small>Technology</small>
        </h1>
        {% for new, des, i in context %}
        <!-- Blog Post -->
        <div class="card mb-4">
          <img class="card-img-top" src="{{i}}" alt="{{new}}">
          <div class="card-body">
            <h2 class="card-title">{{new}}</h2>
            <p class="card-text">{{des}}</p>
       
          </div>
          <div class="card-footer text-muted">
            Posted on 2020
            <a href="">Admin</a>
          </div>
        </div>
        {% endfor %}

        <!-- Pagination -->
        <ul class="pagination justify-content-center mb-4">
          <li class="page-item">
            <a class="page-link" href="#">&larr; Older</a>
          </li>
          <li class="page-item disabled">
            <a class="page-link" href="#">Newer &rarr;</a>
          </li>
        </ul>

      </div>

      <!-- Sidebar Widgets Column -->
      <div class="col-md-4">

        <!-- Search Widget -->
        <div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>

    <!-- Categories Widget -->
        <div class="card my-4">
          <h5 class="card-header">Fast links</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="{{ url_for('news.france') }}">FRANCE</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.uk') }}">UNITED KINGDOM</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.turkey') }}">TURKEY</a>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="/offer">OFFFERS</a>
                  </li>
                   <li>
                    <a href="/trial">FREE TRIAL</a>
                  </li>
                  <li>
                    <a href="/app">APPLICATION</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>

                <!-- Side Widget -->
        <div class="card my-4">
          <h5 class="card-header">Advertising</h5>
<div class="card-body"><img src="/static/img/k.png" class="img-fluid" alt="URHDIPTV Advertising"></div>
          </div>
        </div>

      </div>

    </div>
    <!-- /.row -->

  </div>
  <!-- /.container -->


{% endblock content %}

app/templates/news/fr.html
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}

  <!-- Page Content -->
  <div class="container">

    <div class="row">

      <!-- Blog Entries Column -->
      <div class="col-md-8">

        <h1 class="my-4">URHDIPTV France News
          <small>Technology</small>
        </h1>
        {% for new, des, i in context %}
        <!-- Blog Post -->
        <div class="card mb-4">
          <img class="card-img-top" src="{{i}}" alt="{{new}}">
          <div class="card-body">
            <h2 class="card-title">{{new}}</h2>
            <p class="card-text">{{des}}</p>
       
          </div>
          <div class="card-footer text-muted">
            Posted on 2020
            <a href="">Admin</a>
          </div>
        </div>
        {% endfor %}

        <!-- Pagination -->
        <ul class="pagination justify-content-center mb-4">
          <li class="page-item">
            <a class="page-link" href="#">&larr; Older</a>
          </li>
          <li class="page-item disabled">
            <a class="page-link" href="#">Newer &rarr;</a>
          </li>
        </ul>

      </div>

      <!-- Sidebar Widgets Column -->
      <div class="col-md-4">

        <!-- Search Widget -->
        <div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>

      <!-- Categories Widget -->
        <div class="card my-4">
          <h5 class="card-header">Fast links</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="{{ url_for('news.france') }}">FRANCE</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.uk') }}">UNITED KINGDOM</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.turkey') }}">TURKEY</a>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="offer">OFFFERS</a>
                  </li>
                  <li>
                    <a href="/trial">FREE TRIAL</a>
                  </li>
                  <li>
                    <a href="/app">APPLICATION</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>

        <!-- Side Widget -->
        <div class="card my-4">
          <h5 class="card-header">Advertising</h5>
<div class="card-body"><img src="/static/img/k.png" class="img-fluid" alt="URHDIPTV Advertising"></div>
          </div>
        </div>

      </div>

    </div>
    <!-- /.row -->

  </div>
  <!-- /.container -->


{% endblock content %}

app/templates/news/tr.html
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}

  <!-- Page Content -->
  <div class="container">

    <div class="row">

      <!-- Blog Entries Column -->
      <div class="col-md-8">

        <h1 class="my-4">URHDIPTV Turkey News
          <small>Technology</small>
        </h1>
        {% for new, des, i in context %}
        <!-- Blog Post -->
        <div class="card mb-4">
          <img class="card-img-top" src="{{i}}" alt="{{new}}">
          <div class="card-body">
            <h2 class="card-title">{{new}}</h2>
            <p class="card-text">{{des}}</p>
       
          </div>
          <div class="card-footer text-muted">
            Posted on 2020
            <a href="">Admin</a>
          </div>
        </div>
        {% endfor %}



    
        <!-- Pagination -->
        <ul class="pagination justify-content-center mb-4">
          <li class="page-item">
            <a class="page-link" href="#">&larr; Older</a>
          </li>
          <li class="page-item disabled">
            <a class="page-link" href="#">Newer &rarr;</a>
          </li>
        </ul>

      </div>

      <!-- Sidebar Widgets Column -->
      <div class="col-md-4">

        <!-- Search Widget -->
        <div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>
    <!-- Categories Widget -->
        <div class="card my-4">
          <h5 class="card-header">Fast links</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="{{ url_for('news.france') }}">FRANCE</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.uk') }}">UNITED KINGDOM</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.turkey') }}">TURKEY</a>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="/offer">OFFFERS</a>
                  </li>
                   <li>
                    <a href="/trial">FREE TRIAL</a>
                  </li>
                  <li>
                    <a href="/app">APPLICATION</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>

        <!-- Side Widget -->
        <div class="card my-4">
          <h5 class="card-header">Advertising</h5>
<div class="card-body"><img src="/static/img/k.png" class="img-fluid" alt="URHDIPTV Advertising"></div>
          </div>
        </div>

      </div>

    </div>
    <!-- /.row -->

  </div>
  <!-- /.container -->


{% endblock content %}

app/templates/news/uk.html
{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "layout.html" %}
{% block content %}

  <!-- Page Content -->
  <div class="container">

    <div class="row">

      <!-- Blog Entries Column -->
      <div class="col-md-8">

        <h1 class="my-4">URHDIPTV UK News
          <small>Technology</small>
        </h1>
        {% for new, des, i in context %}
        <!-- Blog Post -->
        <div class="card mb-4">
          <img class="card-img-top" src="{{i}}" alt="{{new}}">
          <div class="card-body">
            <h2 class="card-title">{{new}}</h2>
            <p class="card-text">{{des}}</p>
       
          </div>
          <div class="card-footer text-muted">
            Posted on 2020
            <a href="">Admin</a>
          </div>
        </div>
        {% endfor %}



    
        <!-- Pagination -->
        <ul class="pagination justify-content-center mb-4">
          <li class="page-item">
            <a class="page-link" href="#">&larr; Older</a>
          </li>
          <li class="page-item disabled">
            <a class="page-link" href="#">Newer &rarr;</a>
          </li>
        </ul>

      </div>

      <!-- Sidebar Widgets Column -->
      <div class="col-md-4">

        <!-- Search Widget -->
        <div class="card my-4">
          <h5 class="card-header">Search</h5>
          <div class="card-body">
            <div class="input-group">
              <input type="text" class="form-control" placeholder="Search for...">
              <span class="input-group-btn">
                <button class="btn btn-secondary" type="button">Go!</button>
              </span>
            </div>
          </div>
        </div>

        <!-- Categories Widget -->
        <div class="card my-4">
          <h5 class="card-header">Fast links</h5>
          <div class="card-body">
            <div class="row">
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="{{ url_for('news.france') }}">FRANCE</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.uk') }}">UNITED KINGDOM</a>
                  </li>
                  <li>
                    <a href="{{ url_for('news.turkey') }}">TURKEY</a>
                  </li>
                </ul>
              </div>
              <div class="col-lg-6">
                <ul class="list-unstyled mb-0">
                  <li>
                    <a href="/offer">OFFFERS</a>
                  </li>
                   <li>
                    <a href="/trial">FREE TRIAL</a>
                  </li>
                  <li>
                    <a href="/app">APPLICATION</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>

        <!-- Side Widget -->
        <div class="card my-4">
          <h5 class="card-header">Advertising</h5>
<div class="card-body"><img src="/static/img/k.png" class="img-fluid" alt="URHDIPTV Advertising"></div>
          </div>
        </div>

      </div>

    </div>
    <!-- /.row -->

  </div>
  <!-- /.container -->


{% endblock content %}